{
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

  outputs = {
    nixpkgs,
    self,
  }: let
    pkgs = nixpkgs;

    mkAllSystems = genAttrs [
      "aarch64-darwin"
      "aarch64-linux"
      "i686-linux"
      "x86_64-darwin"
      "x86_64-linux"
    ];

    inherit (lib) genAttrs;
    inherit (pkgs) alejandra lib;
  in {
    formatter = mkAllSystems (system: alejandra);

    devShells = mkAllSystems (system: let
      pkgs = nixpkgs.legacyPackages.${system};

      inherit (pkgs) mkShell;
    in {
      default = mkShell {
        nativeBuildInputs = [pkgs.hugo];
        shellHook = "hugo server";
      };
    });
  };
}
